## sagemath 8.0

=== debian/changelog ===
sagemath (8.0-8ubuntu1) artful; urgency=medium

  * Match cython lcalc Ubuntu versions, drop cython 0.26 patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Sep 2017 09:51:10 +0200

sagemath (8.0-8) unstable; urgency=medium

  [ Ximin Luo ]
  * Set a higher test timeout for slower architectures.
  * Don't ignore timed-out tests on i386, they work fine.
  * Re-enable parallel docbuild but using subprocess instead.

  [ Tobias Hansen ]
  * Add upstream patch to build with Sphinx (>= 1.6):
    - u0-version-sphinx-1.6.patch (Closes: #872259)
  * Print messages explaining why tests do/don't fail.
  * Organize d/rules into sections.

 -- Tobias Hansen <thansen@debian.org>  Wed, 20 Sep 2017 07:18:46 +0000

sagemath (8.0-7) unstable; urgency=medium

  * Add patch u0-version-scipy-0.19.1.patch from upstream.
  * Remove parts of u2-fix-less-trivial-test-cases.patch which are
    included in u0-version-scipy-0.19.1.patch.
  * Depend on scipy >= 0.19.1.

 -- Tobias Hansen <thansen@debian.org>  Sun, 10 Sep 2017 20:01:46 +0000

sagemath (8.0-6) unstable; urgency=medium

  * Use pkg-config to check for openblas|atlas in pruner, the old check
    broke with the multiarchified openblas 0.2.20+ds-3 and
    atlas 3.10.3-4.
  * Build with openblas on supported architectures and with atlas on
    the others.

 -- Tobias Hansen <thansen@debian.org>  Sun, 10 Sep 2017 18:03:14 +0100

sagemath (8.0-5) unstable; urgency=medium

  * Tweak the test failure limits to avoid unnecessary FTBFS.

 -- Ximin Luo <infinity0@debian.org>  Sun, 27 Aug 2017 22:12:28 +0200

sagemath (8.0-4) unstable; urgency=medium

  * Upload to unstable.
  * Relax the runtime dependencies.
  * Deduplicate the documentation using rdfind(1).

 -- Ximin Luo <infinity0@debian.org>  Sun, 27 Aug 2017 16:00:52 +0200

sagemath (8.0-3) experimental; urgency=medium

  * Fix FTBFS everywhere caused by bad Makefile syntax for running tests.
  * Add a pkg.sagemath.nolongcheck build profile for skipping --long tests.

 -- Ximin Luo <infinity0@debian.org>  Thu, 17 Aug 2017 15:23:14 +0200

sagemath (8.0-2) experimental; urgency=medium

  * Fix FTBFS everywhere by adding python-dev to Build-Depends since the
    pruner was updated to check for that instead of python-2.7.pc.

 -- Ximin Luo <infinity0@debian.org>  Thu, 17 Aug 2017 11:59:21 +0200

sagemath (8.0-1) experimental; urgency=medium

  [ Tobias Hansen ]
  * New upstream version (Closes: #870688).
  * New (Build-)Depends:
    - cypari2
  * Remove patches (applied upstream):
    - u0-fix-proper-scipy-rtol.patch
    - u0-version-r-3.3.3.patch
    - u0-version-singular-4.1.0p2.patch
    - u0-version-singular-4.1.0p3.patch
    - u0-sphinx-1.5.patch
    - u1-fix-use-lexists-not-exists.patch
    - u1-version-ecm-7.patch
    - u1-version-planarity-3.patch
    - df-sagedoc_avoid_exception.patch
  * Patches with non-trivial modifications:
    - u2-allow-override-sage-local.patch:
      May need further edits after https://trac.sagemath.org/ticket/21479
    - d0-libgap-sage.patch
    - d0-pari-stackwarn.patch
    - d0-paths.patch
    - d0-singular.patch
    - d1-install-paths.patch
    - d1-sage-env.patch
  * New patches:
    - df-revert-lazy-imports-22755.patch
    - u0-version-cython-0.26.patch
  * Decrease number of allowed test failures from 80 to 40.

  [ Ximin Luo ]
  * Update to latest Standards-Version; no changes required.
  * Split arch-dep vs arch-indep build and test targets more efficiently.
  * New patches:
    - u1-version-giac-1.2.3.57.patch
    - u2-workaround-sympow-malloc-perturb.patch

  [ Julien Puydt ]
  * Make searching for python check only the major version (Closes: #871794).

 -- Ximin Luo <infinity0@debian.org>  Wed, 16 Aug 2017 20:25:45 +0200

=== debian/control ===
## DO NOT EDIT debian/control directly, edit debian/control.in instead
Source: sagemath
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>,
           Julien Puydt <julien.puydt@laposte.net>,
           Jerome Benoit <calculus@rezozer.net>,
           Ximin Luo <infinity0@debian.org>
Standards-Version: 4.1.0
X-Python-Version: 2.7
Homepage: http://www.sagemath.org/
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sagemath.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sagemath.git
Build-Depends:
 cysignals-tools (>= 1.2.0+ds-2) <!nodoc>,
 cython (>= 0.25~),
 ecl (>= 16.1.2),
 ecl (<< 16.1.3),
 eclib-tools (>= 20170122),
 f2c,
 fflas-ffpack (>= 2.2.2),
 flintqs,
 gap-core (>= 4r8p6),
 gfan,
 gmp-ecm,
 ipython (>= 5.1.0-2),
 iso-codes,
 jmol (>= 14.6.4),
 lcalc (>= 1.23+dfsg-6build1),
 less,
 libcdd-tools (>= 094h),
 libjs-mathjax,
 libjs-three (>= 80),
 libsingular4 (>= 1:4.1.0-p3),
 maxima-sage (>= 5.39.0),
 maxima-sage-doc (>= 5.39.0),
 maxima-sage-share (>= 5.39.0),
 nauty,
 octave,
 palp (>= 2.1-2),
 pari-doc (>= 2.9.0),
 pari-gp (>= 2.9.0),
 pari-galdata,
 pari-seadata,
 python,
 python3,
 python-alabaster,
 python-babel,
 python-backports-abc,
 python-backports-shutil-get-terminal-size,
 python-backports.ssl-match-hostname,
 python-brial (>= 0.8.5),
 python-configparser,
 python-crypto,
 python-cvxopt,
 python-cycler,
 python-cypari2,
 python-cysignals-pari (>= 1.6.4),
 python-decorator,
 python-docutils,
 python-enum34,
 python-flask,
 python-flask-autoindex,
 python-flask-babel,
 python-flask-oldsessions,
 python-flask-openid,
 python-flask-silk,
 python-fpylll (>= 0.2.4),
 python-functools32,
 python-future,
 python-gd,
 python-gnutls,
 python-imagesize,
 python-ipython-genutils,
 python-itsdangerous,
 python-jsonschema,
 python-matplotlib,
 python-mistune,
 python-moinmoin,
 python-mpmath,
 python-networkx,
 python-numpy (>= 1:1.12.0~rc2),
 python-openid,
 python-path,
 python-pathlib2,
 python-pexpect (>= 4.1),
 python-pickleshare,
 python-pil,
 python-pip,
 python-pkgconfig,
 python-ply,
 python-prompt-toolkit,
 python-psutil,
 python-ptyprocess,
 python-pygments,
 python-rpy2,
 python-sagenb (>= 1.0.1),
 python-sagenb-export (>= 3.2),
 python-scipy (>= 0.19.1),
 python-setuptools,
 python-setuptools-scm,
 python-simplegeneric,
 python-singledispatch,
 python-snowballstemmer,
 python-sphinx (>= 1.6),
 python-sympy,
 python-terminado,
 python-tk,
 python-tornado,
 python-traitlets,
 python-twisted,
 python-tz,
 python-vcversioner,
 python-wcwidth,
 python-werkzeug,
 python-zmq,
 python-zope.interface,
 r-cran-lattice,
 r-base-core,
 rubiks,
 sagemath-database-conway-polynomials (>= 0.5-2),
 sagemath-database-elliptic-curves,
 sagemath-database-graphs,
 sagemath-database-mutually-combinatorial-designs,
 sagemath-database-polytopes,
 singular (>= 1:4.1.0-p3),
 singular-doc (>= 1:4.1.0-p3),
 sqlite3,
 sympow (>= 1.023-8),
 tachyon,
 xcas,
 jupyter-client,
 jupyter-core,
 jupyter-nbextension-jupyter-js-widgets,
 python-ipykernel,
 python-ipywidgets (>= 6.0.0),
 python-nbconvert,
 python-nbformat,
 python-notebook (>= 4.2.3-3),
 autoconf,
 ccache <pkg.sagemath.ccache>,
 debhelper (>= 10),
 dh-python (>= 2.20170125),
 dpkg-dev (>= 1.17.14),
 gdb,
 git,
 gnutls-dev,
 libgap-sage-dev (>= 4.8.6),
 libblas-dev,
 libboost-dev (>= 1.55),
 libbrial-dev (>= 0.8.7),
 libbrial-groebner-dev (>= 0.8.7),
 libcdd-dev (>= 094h),
 libcliquer-dev,
 libec-dev (>= 20170122),
 libecm-dev,
 libflint-arb-dev (>= 2.8.1-2),
 libflint-dev (>= 2.5.2-5+b2),
 libfplll-dev (>= 5.1.0-2~sage1),
 libfreetype6-dev,
 libgc-dev,
 libgcrypt-dev,
 libgd2-noxpm-dev | libgd2-xpm-dev,
 libgf2x-dev,
 libgiac-dev (>= 1.2.3.25+dfsg1-3),
 libgivaro-dev (>= 4.0.2-7~),
 libglpk-dev,
 libgmp-dev (>= 2:5.1.2),
 libgpg-error-dev,
 libgsl-dev (>= 2.4+dfsg-5~),
 libiml-dev,
 liblapack-dev,
 liblfunction-dev,
 liblinboxsage-dev (>= 1.4),
 liblrcalc-dev (>= 1.2-2),
 libm4ri-dev (>= 20130416),
 libm4rie-dev (>= 20130416),
 libmpc-dev (>=1.0),
 libmpfi-dev,
 libmpfr-dev,
 libntl-dev (>= 9.9.1-2),
 libopenblas-dev (>= 0.2.19) [amd64 arm64 armhf i386 powerpc ppc64el ppc64 kfreebsd-i386 kfreebsd-amd64 mips64el sparc64] | libatlas-base-dev,
 libpari-dev (>= 2.9.0),
 libplanarity-dev,
 libpng-dev,
 libppl-dev (>= 1:1.1),
 libpynac-dev (>= 0.7.8-2~sage1),
 libratpoints-dev,
 libreadline-dev,
 librw-dev,
 libsingular4-dev (>= 1:4.1.0-p3),
 libsqlite3-dev,
 libsymmetrica-dev,
 libzn-poly-dev,
 pkg-config,
 python-dev,
 python3-dev,
 r-base-dev,
 rdfind,
 scons,
 texlive-latex-base,
 zlib1g-dev,

Package: sagemath
Architecture: any
Multi-Arch: same
Description: Open Source Mathematical Software
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains the main SageMath installation.
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
 cysignals-tools (>= 1.2.0+ds-2) <!nodoc>,
 cython (>= 0.25~),
 ecl (>= 16.1.2),
 ecl (<< 16.1.3),
 eclib-tools (>= 20170122),
 f2c,
 fflas-ffpack (>= 2.2.2),
 flintqs,
 gap-core (>= 4r8p6),
 gfan,
 gmp-ecm,
 ipython (>= 5.1.0-2),
 iso-codes,
 jmol (>= 14.6.4),
 lcalc (>= 1.23+dfsg-6build1),
 less,
 libcdd-tools (>= 094h),
 libjs-mathjax,
 libjs-three (>= 80),
 libsingular4 (>= 1:4.1.0-p3),
 maxima-sage (>= 5.39.0),
 maxima-sage-doc (>= 5.39.0),
 maxima-sage-share (>= 5.39.0),
 nauty,
 octave,
 palp (>= 2.1-2),
 pari-doc (>= 2.9.0),
 pari-gp (>= 2.9.0),
 pari-galdata,
 pari-seadata,
 python,
 python3,
 python-alabaster,
 python-babel,
 python-backports-abc,
 python-backports-shutil-get-terminal-size,
 python-backports.ssl-match-hostname,
 python-brial (>= 0.8.5),
 python-configparser,
 python-crypto,
 python-cvxopt,
 python-cycler,
 python-cypari2,
 python-cysignals-pari (>= 1.6.4),
 python-decorator,
 python-docutils,
 python-enum34,
 python-flask,
 python-flask-autoindex,
 python-flask-babel,
 python-flask-oldsessions,
 python-flask-openid,
 python-flask-silk,
 python-fpylll (>= 0.2.4),
 python-functools32,
 python-future,
 python-gd,
 python-gnutls,
 python-imagesize,
 python-ipython-genutils,
 python-itsdangerous,
 python-jsonschema,
 python-matplotlib,
 python-mistune,
 python-moinmoin,
 python-mpmath,
 python-networkx,
 python-numpy (>= 1:1.12.0~rc2),
 python-openid,
 python-path,
 python-pathlib2,
 python-pexpect (>= 4.1),
 python-pickleshare,
 python-pil,
 python-pip,
 python-pkgconfig,
 python-ply,
 python-prompt-toolkit,
 python-psutil,
 python-ptyprocess,
 python-pygments,
 python-rpy2,
 python-sagenb (>= 1.0.1),
 python-sagenb-export (>= 3.2),
 python-scipy (>= 0.19.1),
 python-setuptools,
 python-setuptools-scm,
 python-simplegeneric,
 python-singledispatch,
 python-snowballstemmer,
 python-sphinx (>= 1.6),
 python-sympy,
 python-terminado,
 python-tk,
 python-tornado,
 python-traitlets,
 python-twisted,
 python-tz,
 python-vcversioner,
 python-wcwidth,
 python-werkzeug,
 python-zmq,
 python-zope.interface,
 r-cran-lattice,
 r-base-core,
 rubiks,
 sagemath-database-conway-polynomials (>= 0.5-2),
 sagemath-database-elliptic-curves,
 sagemath-database-graphs,
 sagemath-database-mutually-combinatorial-designs,
 sagemath-database-polytopes,
 singular (>= 1:4.1.0-p3),
 singular-doc (>= 1:4.1.0-p3),
 sqlite3,
 sympow (>= 1.023-8),
 tachyon,
 xcas,
 sagemath-common (= ${source:Version})
Recommends:
 sagemath-doc-en (= ${source:Version}),
 sagemath-jupyter (= ${source:Version}),
 sagetex,
 texlive-latex-base
Suggests:
 gap-design,
 gap-factint,
 gap-grape,
 gap-guava,
 gap-laguna,
 gap-sonata,
 gap-toric

Package: sagemath-common
Architecture: all
Multi-Arch: foreign
Description: Open Source Mathematical Software - architecture-independent files
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains the architecture-independent files of SageMath.
Depends: ${misc:Depends}, ${python:Depends}

Package: sagemath-jupyter
Architecture: all
Multi-Arch: foreign
Description: Open Source Mathematical Software - Jupyter kernel
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains the Jupyter kernel of SageMath.
Depends: ${misc:Depends},
 jupyter-client,
 jupyter-core,
 jupyter-nbextension-jupyter-js-widgets,
 python-ipykernel,
 python-ipywidgets (>= 6.0.0),
 python-nbconvert,
 python-nbformat,
 python-notebook (>= 4.2.3-3),
 sagemath (>= ${source:Version}), sagemath (<< ${source:Version}.1~)

Package: sagemath-doc-ca
Architecture: all
Description: Open Source Mathematical Software - documentation (Catalan; Valencian)
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains documentation in Catalan; Valencian.
 .
 Note that the package for English documentation (sagemath-doc-en) contains far
 more documentation than any of the other languages. So if you're finding this
 package lacking in content, then you could try that one as well.
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}

Package: sagemath-doc-de
Architecture: all
Description: Open Source Mathematical Software - documentation (German)
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains documentation in German.
 .
 Note that the package for English documentation (sagemath-doc-en) contains far
 more documentation than any of the other languages. So if you're finding this
 package lacking in content, then you could try that one as well.
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}

Package: sagemath-doc-en
Architecture: all
Description: Open Source Mathematical Software - documentation (English)
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains documentation in English.
 .

=== debian/rules ===
#!/usr/bin/make -f

#
# CONTENTS:
#
# 1. DEFINITIONS
# 2. GENERATE FILES
#    Targets to auto-generate files
# 3. PACKAGE BUILD
#    Mostly standard targets that are used during package build
# 4. TEST SUITE
# 5. MAINTAINER TARGETS
#    Convenience targets to be used by maintainers
#    Some are explained at https://wiki.debian.org/DebianScience/Sage
#

###############################################################################
# 1. DEFINITIONS
###############################################################################

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

MAX_TEST_FAILURES = 50
MAX_TEST_FAILURES_RERUN = $(shell expr 2 \* $(MAX_TEST_FAILURES))

# If we're doing a pre-release, then be less strict about test failures, etc
ifneq (,$(filter $(DEB_DISTRIBUTION),UNRELEASED unstable-sage))
is_prerelease = true
else
is_prerelease = false
endif

# Some buildds are a bit slow, see https://buildd.debian.org/status/logs.php?pkg=gcc-7 for a fuller list
ifeq (false,$(is_prerelease))
ifneq (,$(filter $(DEB_BUILD_ARCH),armel armhf mips mipsel mips64el))
export SAGE_TIMEOUT_LONG = 7200
else
export SAGE_TIMEOUT_LONG = 3600
endif
endif

# Use ccache if pkg.sagemath.ccache build-profile is active.
# Your rebuilds will be *much quicker*.
ifneq (,$(filter pkg.sagemath.ccache,$(DEB_BUILD_PROFILES)))
export PATH := /usr/lib/ccache:$(PATH)
export CCACHE_DIR := $(CURDIR)/debian/ccache
export CCACHE_BASEDIR := $(CURDIR)/debian/build
$(shell mkdir -p "$(CCACHE_DIR)")
endif

ifeq (,$(filter pkg.sagemath.nolongcheck,$(DEB_BUILD_PROFILES)))
SAGE_TEST_FLAGS = --long
endif

export SAGE_LOCAL = $(CURDIR)/debian/build/usr
export PYTHONPATH = $(CURDIR)/debian/build/usr/lib/python2.7/dist-packages
export DOT_SAGE = $(CURDIR)/debian/test
export SAGE_SCRIPTS_DIR = $(CURDIR)/sage/src/bin

LANGS = $(shell cd sage/src/doc && find . -mindepth 1 -maxdepth 1 -type d | grep -v common | cut -b3- | LC_ALL=C.UTF-8 LANG=C.UTF-8 sort)
DOCS_INSTALL = $(LANGS:%=debian/sagemath-doc-%.install)
DOCS_CONTROL = $(LANGS:%=debian/sagemath-doc-%.control)
DOCS_DOC_BASE = $(LANGS:%=debian/sagemath-doc-%.doc-base)
DOCS_OVERRIDES = $(LANGS:%=debian/sagemath-doc-%.lintian-overrides)
DOCS_INSTALL_DIRS = $(LANGS:%=debian/sagemath-doc-%)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
NUMJOBS = 1
endif

ifneq (1,$(TRY_AVOID_REBUILD))
REBUILD_RULES = debian/rules
endif

%:
	dh $@ --with=python2,sphinxdoc

###############################################################################
# 2. GENERATE FILES
###############################################################################

binary build clean install: debian/control

debian/control: debian/control.in $(DOCS_CONTROL)
	cat $^ > "$@"
	sed -i -e '/RUNTIME_DEPENDS/ {' -e 'r debian/control.runtime-depends' -e 'd' -e '}' "$@"
	sed -i -e '/JUPYTER_DEPENDS/ {' -e 'r debian/control.jupyter-depends' -e 'd' -e '}' "$@"

debian/sagemath-doc-%.control: debian/sagemath-doc-LANG.control.in $(REBUILD_RULES)
	sed -e "s/LANGUAGE/$$(debian/lang.py $*)/g" -e 's/LANG/$*/g' < "$<" > "$@"

debian/sagemath-doc-%.install: debian/sagemath-doc-LANG.install.in $(REBUILD_RULES)
	sed -e "s/LANGUAGE/$$(debian/lang.py $*)/g" -e 's/LANG/$*/g' < "$<" > "$@"

debian/sagemath-doc-en.doc-base: debian/sagemath-doc-LANG.doc-base.in $(REBUILD_RULES)
	sed -e "s/LANGUAGE/$$(debian/lang.py en)/g" -e 's/LANG/en/g' -e 's/SUBDIR//g' < "$<" > "$@"

debian/sagemath-doc-ca.doc-base: debian/sagemath-doc-LANG.doc-base.in $(REBUILD_RULES)
	sed -e "s/LANGUAGE/$$(debian/lang.py ca)/g" -e 's/LANG/ca/g' -e 's/SUBDIR/intro\//g' < "$<" > "$@"

debian/sagemath-doc-%.doc-base: debian/sagemath-doc-LANG.doc-base.in $(REBUILD_RULES)
	if [ "$*" = "hu" -o "$*" = "it" -o "$*" = "tr" ]; then \
		sed -e "s/LANGUAGE/$$(debian/lang.py $*)/g" -e 's/LANG/$*/g' -e 's/SUBDIR/a_tour_of_sage\//g' < "$<" > "$@"; \
	else \
		sed -e "s/LANGUAGE/$$(debian/lang.py $*)/g" -e 's/LANG/$*/g' -e 's/SUBDIR/tutorial\//g' < "$<" > "$@"; \
	fi

debian/sagemath-doc-%.lintian-overrides: debian/sagemath-doc-LANG.lintian-overrides.in \
  $(wildcard debian/sagemath-doc-%.lintian-overrides.in) $(REBUILD_RULES)
	sed -e "s/LANGUAGE/$$(debian/lang.py $*)/g" -e 's/LANG/$*/g' < "$<" > "$@"
	if [ -f "debian/sagemath-doc-$*.lintian-overrides.in" ]; then \
		sed -e "s/LANGUAGE/$$(debian/lang.py $*)/g" -e 's/LANG/$*/g' < "debian/sagemath-doc-$*.lintian-overrides.in" >> "$@"; \
	fi

../sagemath_$(DEB_VERSION_UPSTREAM).orig.tar.xz: .git/modules/sage/HEAD
	cd sage && git archive --prefix=sagemath_$(DEB_VERSION_UPSTREAM)/sage/ \
	  --format=tar HEAD | xz -zf > ../../sagemath_$(DEB_VERSION_UPSTREAM).orig.tar.xz

../sagemath_$(DEB_VERSION).dsc: distclean-sage distclean ../sagemath_$(DEB_VERSION_UPSTREAM).orig.tar.xz debian/control
	dpkg-buildpackage -nc -d -uc -us -S

###############################################################################
# 3. PACKAGE BUILD
###############################################################################

prune: debian/control
	cd debian/pruner && autoconf -I m4
	cd debian/pruner && ./configure --with-sage-root="$(CURDIR)/sage"
	cd sage && python ../debian/pruner/pruner.py || $(is_prerelease)
	touch prune

run_build = \
	MAKE='make -j$(NUMJOBS)' PREREQ_OPTIONS="--prefix=$(SAGE_LOCAL)" \
	  $(MAKE) --directory=sage

override_dh_auto_configure: prune

override_dh_auto_build-arch:
	$(run_build) build
	cd sage && src/bin/sage-starts

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(run_build) doc
endif

override_dh_auto_install:
	rm -rf debian/build/usr/var/tmp/sage/build
# We built .pyo to make the docbuild/tests go faster, but as per Debian policy
# we don't distribute them.
	find debian/build '(' -name '*.pyc' -o -name '*.pyo' ')' -delete
	rm -f debian/build/usr/bin/*.bat
	mkdir -p debian/tmp
	mv debian/build/* debian/tmp
	cp -f debian/adhoc/sage-env debian/tmp/usr/bin/
# Don't try to rmdir debian/build if it's a mountpoint, useful for doing builds in /run/shm
	mountpoint debian/build || rmdir debian/build

# If we see "nodoc", don't clean the docs. This allows us to rebuild just the
# non-docs without wiping away the docs we previously built, to save time.
override_dh_auto_clean:
ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	dh_auto_clean -Dsage -- -k clean sagelib-clean misc-clean bootstrap-clean || true
	rm -rf sage/local sage/upstream
else
	dh_auto_clean -Dsage -- maintainer-clean
endif

override_dh_install-indep: $(DOCS_INSTALL) $(DOCS_DOC_BASE) $(DOCS_OVERRIDES)
	dh_install --package sagemath-common -X.so
	dh_install --remaining-packages --list-missing
# Basic version of deduplicating the docs, for a much smaller install size.
# Upstream bug report is at https://trac.sagemath.org/ticket/22088
# Hard links do work in Debian packages, but only within packages.
	set -e; for d in $(DOCS_INSTALL_DIRS); do \
		rdfind -outputname /dev/null -makehardlinks true "$$d"; \
	done

override_dh_python2-arch:
	dh_python2
	dh_numpy --package sagemath # stop lintian complaining at us

override_dh_shlibdeps:
	dh_shlibdeps -l debian/tmp/usr/lib

override_dh_compress:
# We probably don't need to install the pickle/doctree files but let's exempt
# them from compression anyway for now, so the build goes quicker.
	dh_compress -X.pdf -X.pickle -X.doctree

override_dh_sphinxdoc:
# TODO: fix MathJax.js, Sage needs special treatment
# `man dh_sphinxdoc` says symlinking translations.js is not yet supported
# likewise, it seems not to recognise searchtools.js yet
	dh_sphinxdoc -XMathJax.js -Xtranslations.js -Xsearchtools.js

# If we see "nodoc", don't clean the docs. This allows us to rebuild just the
# non-docs without wiping away the docs we previously built, to save time.
ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
# Don't delete my precious docs debhelper! They took a whole fucking hour to build!
preserve_docs = \
	set -e; \
	if [ -d $(2)/usr/share/doc ]; then \

## sagemath 8.1

=== sage/Makefile ===
# Main Makefile for Sage.

# The default target ("all") builds Sage and the whole (HTML) documentation.
#
# Target "build" just builds Sage.
#
# See below for targets to build the documentation in other formats,
# to run various types of test suites, and to remove parts of the build etc.

default: all

build: all-build

# Defer unknown targets to build/make/Makefile
%::
	@if [ -x relocate-once.py ]; then ./relocate-once.py; fi
	$(MAKE) build/make/Makefile
	+build/bin/sage-logger \
		"cd build/make && ./install '$@'" logs/install.log

# If configure was run before, rerun it with the old arguments.
# Otherwise, run configure with argument $PREREQ_OPTIONS.
build/make/Makefile: configure build/make/deps build/pkgs/*/*
	rm -f config.log
	mkdir -p logs/pkgs
	ln -s logs/pkgs/config.log config.log
	@if [ -x config.status ]; then \
		./config.status --recheck && ./config.status; \
	else \
		./configure $$PREREQ_OPTIONS; \
	fi || ( \
		if [ "x$$SAGE_PORT" = x ]; then \
			echo "If you would like to try to build Sage anyway (to help porting),"; \
			echo "export the variable 'SAGE_PORT' to something non-empty."; \
			exit 1; \
		else \
			echo "Since 'SAGE_PORT' is set, we will try to build anyway."; \
		fi; )

# Preemptively download all standard upstream source tarballs.
download:
	export SAGE_ROOT=$$(pwd) && \
	export PATH=$$SAGE_ROOT/src/bin:$$PATH && \
	./src/bin/sage-download-upstream

dist: build/make/Makefile
	./sage --sdist

# ssl: build Sage, and also install pyOpenSSL. This is necessary for
# running the secure notebook. This make target requires internet
# access. Note that this requires that your system have OpenSSL
# libraries and headers installed. See README.txt for more
# information.
ssl: all
	./sage -i pyopenssl

misc-clean:
	@echo "Deleting miscellaneous artifacts generated by build system ..."
	rm -rf logs
	rm -rf dist
	rm -rf tmp
	rm -f aclocal.m4 config.log config.status confcache
	rm -rf autom4te.cache
	rm -f build/make/Makefile build/make/Makefile-auto
	rm -f .BUILDSTART

bdist-clean: clean
	$(MAKE) misc-clean

distclean: build-clean
	$(MAKE) misc-clean
	@echo "Deleting all remaining output from build system ..."
	rm -rf local
	rm -f src/bin/sage-env-config

# Delete all auto-generated files which are distributed as part of the
# source tarball
bootstrap-clean:
	rm -rf config configure build/make/Makefile-auto.in

# Remove absolutely everything which isn't part of the git repo
maintainer-clean: distclean bootstrap-clean
	rm -rf upstream

micro_release: bdist-clean sagelib-clean
	@echo "Stripping binaries ..."
	LC_ALL=C find local/lib local/bin -type f -exec strip '{}' ';' 2>&1 | grep -v "File format not recognized" |  grep -v "File truncated" || true

TESTALL = ./sage -t --all
PTESTALL = ./sage -t -p --all

test: all
	$(TESTALL) --logfile=logs/test.log

check: test

testall: all
	$(TESTALL) --optional=sage,optional,external --logfile=logs/testall.log

testlong: all
	$(TESTALL) --long --logfile=logs/testlong.log

testalllong: all
	$(TESTALL) --long --optional=sage,optional,external --logfile=logs/testalllong.log

ptest: all
	$(PTESTALL) --logfile=logs/ptest.log

ptestall: all
	$(PTESTALL) --optional=sage,optional,external --logfile=logs/ptestall.log

ptestlong: all
	$(PTESTALL) --long --logfile=logs/ptestlong.log

ptestalllong: all
	$(PTESTALL) --long --optional=sage,optional,external --logfile=logs/ptestalllong.log

testoptional: all
	$(TESTALL) --optional=sage,optional --logfile=logs/testoptional.log

testoptionallong: all
	$(TESTALL) --long --optional=sage,optional --logfile=logs/testoptionallong.log

ptestoptional: all
	$(PTESTALL) --optional=sage,optional --logfile=logs/ptestoptional.log

ptestoptionallong: all
	$(PTESTALL) --long --optional=sage,optional --logfile=logs/ptestoptionallong.log

configure: configure.ac src/bin/sage-version.sh m4/*.m4
	./bootstrap -d

install: all
	@echo "******************************************************************"
	@echo "The '$@' target is a no-op; 'make' already does 'make install'"
	@echo "You can change the install prefix from its default"
	@echo "(the subdirectory 'local') by using ./configure --prefix=PREFIX"
	@echo "You can also consider using the binary packaging scripts"
	@echo "from https://github.com/sagemath/binary-pkg"
	@echo "******************************************************************"

.PHONY: default build install micro_release \
	misc-clean bdist-clean distclean bootstrap-clean maintainer-clean \
	test check testoptional testall testlong testoptionallong testallong \
	ptest ptestoptional ptestall ptestlong ptestoptionallong ptestallong

=== sage/src/doc/Makefile ===
all:
	@echo "Please build the doc using either 'make doc' from SAGE_ROOT, or"
	@echo "'sage -docbuild all html'. See 'sage -docbuild help' for more informations."
clean:
	rm -rf en/reference/*/sage
	rm -rf en/reference/*/sagenb
	rm -rf en/reference/sage
	rm -rf en/reference/sagenb
	rm -f common/*.pyc

=== sage/src/mac-app/Makefile ===
# Makefile for building the Mac App
#
# This assumes that you have already built Sage. This Makefile then
# compiles the Mac App UI and combines it with the existing Sage
# install into a DMG file.
#
# The resulting DMG is as relocatable as the original Sage install,
# that is, not at all by default. It will contain paths pointing to
# the Sage tree that you started with (OK if you are only debugging
# the Mac App, just don't delete the original Sage directory tree).
#
# To build a relocatable Sage binary you have to use
# https://github.com/sagemath/binary-pkg


ifdef SAGE_ROOT
    $(error This makefile must be run outside of a sage shell)
endif

SAGE_ROOT:=$(shell cd ../.. && pwd)

ifndef SAGE_VERSION
    SAGE_VERSION:=$(shell source ../bin/sage-version.sh && echo $$SAGE_VERSION)
endif

# Meaningful values, on Intel, are "i386" and "x86_64". To prepare a
# 64-bit binary distribution on an older 64-bit OSX machine that boots
# into a 32-bit system, one would set SAGE_APP_TARGET_ARCH=x86_64
ifndef SAGE_APP_TARGET_ARCH
    SAGE_APP_TARGET_ARCH:=$(shell uname -m)
endif

OSX_VERSION:=$(shell sw_vers -productVersion)

TARGET:=sage-$(SAGE_VERSION)-OSX_$(OSX_VERSION)_$(SAGE_APP_TARGET_ARCH)
APP_NAME:=SageMath-$(SAGE_VERSION).app
APP:=$(TARGET)/$(APP_NAME)
DMG:=$(TARGET).app.dmg

CONFIGURATION=Debug
SDKROOT=

SOURCE=*.h *.m

default: $(DMG)
app: $(APP)/Contents/Resources/sage

# Display the variables
debug:
	@echo SAGE_ROOT=$(SAGE_ROOT)
	@echo SAGE_VERSION=$(SAGE_VERSION)
	@echo OSX_VERSION=$(OSX_VERSION)
	@echo SAGE_APP_TARGET_ARCH=$(SAGE_APP_TARGET_ARCH)
	@echo CONFIGURATION=$(CONFIGURATION)
	@echo APP=$(APP)

# Build the Mac App UI binary (not: Sage itself)
$(APP): $(SOURCE)
	mkdir -p $(TARGET)
	xcodebuild -target Sage -configuration $(CONFIGURATION) \
	    ARCHS=$(SAGE_APP_TARGET_ARCH) \
	    ONLY_ACTIVE_ARCH=NO \
	    SDKROOT=$(SDKROOT)
	mkdir -p $(APP)
	cp -pRL build/$(CONFIGURATION)/Sage.app/ $(APP)
	@# Info.plist is a binary plist, so convert it for processing with sed.
	@# I would just change it to be an xml plist, but xcode changes it back.
	plutil -convert xml1 $(APP)/Contents/Info.plist
	sed -i '' "s/SAGE_VERSION/$(SAGE_VERSION)/" $(APP)/Contents/Info.plist

# Copy Sage into the App directory structure
$(APP)/Contents/Resources/sage: $(APP)
	mkdir -p $(APP)/Contents/Resources/sage
	rsync -av --progress \
	    $(SAGE_ROOT)/ $@ \
	    --exclude .git/ \
	    --exclude upstream/ \
	    --exclude src/mac-app/build \
	    --exclude src/mac-app/$(TARGET)
	@# We touch the director here so that we don't keep rsyncing just
	@# because $(APP) is newer than (the rsync preserves time)
	test -d $@ && touch $@

# The background image for the DMG.
# It contains the arrow pointing from the .app to the Applications
# folder.
#
# The background image should be at 72dpi. if a different resolution is
# set in the metadata, Finder produces weird results.
#
$(TARGET)/.background/sage.png: sage-dmg-background.png
	mkdir -p $(TARGET)/.background
	cp sage-dmg-background.png $(TARGET)/.background/sage.png

# Link to Applications
$(TARGET)/Applications:
	rm -f $(TARGET)/Applications
	ln -s /Applications/ $(TARGET)/Applications

# Add the readme file
$(TARGET)/README.txt: $(SAGE_ROOT)/src/bin/sage-README-osx.txt
	cp $^ $@

non_app_files: $(TARGET)/README.txt $(TARGET)/.background/sage.png $(TARGET)/Applications

sage_symlink: $(APP)/Contents/Resources/sage/sage
	rm -f $(APP)/sage
	ln -s Contents/Resources/sage/sage $(APP)/sage

# The arrangement of the icons and the "alias" for the background
# image are stored in a .DS_Store file. The .DS_Store file does
# not store the background image by relative path, but by "alias"
# which contains the volume name as well - so we cannot just
# generate one .DS_Store and copy it from version to version since
# the volume name contains the version.
#
# It would be nice if we could generate the .DS_Store directly
# instead of mounting the image before compressing it.
# Unfortunately, the .DS_Store format is proprietary and changed
# in Mac OS 10.12, so trying this with the ds_store python package
# did not work out (https://bitbucket.org/al45tair/ds_store/issues/7).
# Also see Ticket 20119 and 22739.

# Dependencies need to be in that order because non_app_files
# needs the directory created by $(APP)/Contents/Resources/sage
tmp-$(DMG): $(APP)/Contents/Resources/sage sage_symlink non_app_files
	@# Create initial DMG
	hdiutil create -srcfolder $(TARGET) -volname $(TARGET) -format UDRW tmp-$(DMG)

	@# Mount it so that we can run the Apple Script file on it
	@# to arrange the icons and set the background image
	mkdir -p mnt
	hdiutil attach tmp-$(DMG) -mountpoint mnt
	osascript arrangeIcons.applescript mnt $(APP_NAME)
	hdiutil detach mnt

# Compress the built directory into a DMG
$(DMG): tmp-$(DMG)
	hdiutil convert -format UDBZ -o $(DMG) tmp-$(DMG)	

.PHONY: clean default debug app non_app_files

clean:
	rm -rf $(TARGET) build $(DMG) tmp-$(DMG) mnt

=== sage/src/sage/libs/gap/test/Makefile ===


GAPDIR="$(SAGE_LOCAL)/gap/latest"

# VALGRIND=valgrind --leak-check=full
# VALGRIND=valgrind --db-attach=yes
#VALGRIND=valgrind --suppressions=libgap.supp --gen-suppressions=yes
#VALGRIND=valgrind --suppressions=libgap.supp --db-attach=yes
VALGRIND=

all: main
	$(VALGRIND) ./main

main: main.o Makefile
	gcc -L$(SAGE_LOCAL)/lib -o main main.o -lgap -lcsage -lntl -lstdc++ -lpari -lpython2.7 -lm -lgmp

main.o: main.c
	echo $(GAPDIR)
	gcc -std=gnu99 -DGAPDIR="\"$(GAPDIR)\"" -I$(SAGE_LOCAL)/include -I$(SAGE_LOCAL)/include/python2.6 -c -g $^

clean:
	rm main.o main *~

.PHONY: all clean

=== debian/changelog ===
sagemath (8.1-7ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use gdb instead of gdb-python2 as a build dependency.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Mar 2018 08:50:58 +0100

sagemath (8.1-7) unstable; urgency=medium

  [ Ximin Luo ]
  * Add dot2tex to Suggests, needed by GenericGraph.layout_graphviz().
  * Work around Singular bug on mips64el (#892622) by disabling ASLR.
  * Remove armel one-thread workaround because it didn't work.
  * Use pkg-config to check for freetype2. (Closes: #892440)

 -- Tobias Hansen <thansen@debian.org>  Sun, 18 Mar 2018 21:04:20 +0000

sagemath (8.1-6ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use gdb instead of gdb-python2 as a build dependency.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 14 Mar 2018 11:27:03 +0100

sagemath (8.1-6) unstable; urgency=medium

  * Add patch dt-version-glpk-4.65-ignore-warnings.patch.

 -- Tobias Hansen <thansen@debian.org>  Wed, 28 Feb 2018 16:23:41 +0000

sagemath (8.1-5) unstable; urgency=medium

  * Restrict to one thread on armel to try to avoid buildds getting stuck.

 -- Tobias Hansen <thansen@debian.org>  Thu, 22 Feb 2018 20:28:34 +0000

sagemath (8.1-4) unstable; urgency=medium

  * Bump gf2x build-dependency to pull in fixes for illegal instruction
    on older amd64 and i386 machines.
  * Increase the allowed test failures from 50 up to 62. This is mostly to
    handle certain arches that have 11 extra failures; most arches should
    stay below 50.
    - Generally we have to do this increasing when the versions of the
      Build-Deps in Debian grow newer and further apart from what upstream
      expects; and can reset the number back down to 50 or less when a new
      upstream version is released.

 -- Ximin Luo <infinity0@debian.org>  Tue, 13 Feb 2018 11:28:20 +0100

sagemath (8.1-3ubuntu1) bionic; urgency=medium

  * Use gdb instead of gdb-python2 as a build dependency.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Feb 2018 10:42:53 +0100

sagemath (8.1-3) unstable; urgency=medium

  [ Tobias Hansen ]
  * Update Vcs-* links for salsa.
  * New patches:
    - u0-version-mpfr-4.0.patch
      Fixes for libmpfr 4.0.
    - u0-version-matplotlib-2.1.0.patch
      New dependencies:
      - python-subprocess32
      - python-backports.functools-lru-cache
  * Modified patches:
    - dt-more-fix-test-cases.patch
      Fix ordering issue in two tests in the documentation.

  [ Ximin Luo ]
  * Tests now pass fine after fixes in other packages. (Closes: #888912)
  * Modified patches:
    - dt-more-fix-test-cases.patch
      Ignore sigabrt in sage_object.pyx doctest.
  * Add dbg packages to the pkg.sagemath.dbg build-profile to make
    stack traces work.
  * Touch the dummy spkg file to avoid rebuilds in some cases.

 -- Tobias Hansen <thansen@debian.org>  Sun, 11 Feb 2018 21:20:28 +0000

sagemath (8.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Sat, 30 Dec 2017 12:26:04 +0100

sagemath (8.1-1) experimental; urgency=medium

  * New upstream version.

 -- Tobias Hansen <thansen@debian.org>  Thu, 28 Dec 2017 18:31:24 +0100

sagemath (8.1~rc0-1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Drop lcalc binNMU requirement, now it is satisfied everywhere
    and breaks debian derivatives.

  [ Tobias Hansen ]
  * New upstream version.
  * New (Build-)Depends:
    - libflint-arb-dev (>= 2.11.1)
    - python-cypari2 (>= 1.1.3)
    - python-numpy (>= 1:1.13)
    - brial (>= 1.0.1)
    - fplll (>= 5.2.0)
    - python-fpylll (>= 0.3.0)
  * Changed (Build-)Depends: (Closes: #880781)
    - (libgd2-noxpm-dev | libgd2-xpm-dev) to libgd-dev
  * New patches:
    - d0-pari-2.9-revert-23544.patch
  * Remove patches:
    - u0-version-pynac-0.7.12.patch
    - u2-fix-less-trivial-test-cases.patch

  [ Julien Puydt ]
  * Bump d/watch to version 4.

  [ Ximin Luo ]
  * New patches:
    - u1-version-ipython-5.4.patch

 -- Tobias Hansen <thansen@debian.org>  Mon, 13 Nov 2017 22:05:10 +0100

sagemath (8.1~beta7-1) experimental; urgency=medium

  * New upstream version.
  * New (Build-)Depends:
    - libpynac-dev (>= 0.7.12)
    - python-cypari2 (>= 1.1.1)
    - python-typing
  * Remove patches (applied upstream):
    - u0-version-cython-0.26.patch               #23360
    - u0-version-scipy-0.19.1.patch              #23594
    - u0-version-sphinx-1.6.patch                #23023
    - u1-pip-nowarn.patch                        #21835
    - u1-more-sphinx-1.5-fixes.patch             #23364
    - d0-cython-sys-path.patch
    - df-silence_debian_bug_780186.patch
  * Patches with non-trivial modifications:
    - u2-allow-override-sage-local.patch
    - u2-fix-trivial-test-cases.patch
    - u2-fix-less-trivial-test-cases.patch
    - d0-paths.patch
    - df-revert-lazy-import-dependent-on-python-patch.patch
  * New patches:
    - u0-version-pynac-0.7.12.patch

 -- Tobias Hansen <thansen@debian.org>  Sun, 15 Oct 2017 20:33:50 +0100

sagemath (8.0-9) unstable; urgency=medium

  [ Tobias Hansen ]
  * Changed (Build-)Depends: (Closes: #880781)
    - (libgd2-noxpm-dev | libgd2-xpm-dev) to libgd-dev

  [ Ximin Luo ]
  * New patches:
    - u1-version-ipython-5.4.patch

 -- Ximin Luo <infinity0@debian.org>  Fri, 10 Nov 2017 14:45:27 +0100

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
            Julien Puydt <julien.puydt@laposte.net>,
            Jerome Benoit <calculus@rezozer.net>,
            Ximin Luo <infinity0@debian.org>
-Standards-Version: 4.1.0
+Standards-Version: 4.1.2
 X-Python-Version: 2.7
 Homepage: http://www.sagemath.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sagemath.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sagemath.git
+Vcs-Git: https://salsa.debian.org/science-team/sagemath.git
+Vcs-Browser: https://salsa.debian.org/science-team/sagemath
 Build-Depends:
  cysignals-tools (>= 1.2.0+ds-2) <!nodoc>,
- cython (>= 0.25~),
+ cython (>= 0.26~),
  ecl (>= 16.1.2),
  ecl (<< 16.1.3),
  eclib-tools (>= 20170122),
@@ -27,7 +27,7 @@
  ipython (>= 5.1.0-2),
  iso-codes,
  jmol (>= 14.6.4),
- lcalc (>= 1.23+dfsg-6build1),
+ lcalc (>= 1.23+dfsg-6),
  less,
  libcdd-tools (>= 094h),
  libjs-mathjax,
@@ -48,14 +48,15 @@
  python-alabaster,
  python-babel,
  python-backports-abc,
+ python-backports.functools-lru-cache,
  python-backports-shutil-get-terminal-size,
  python-backports.ssl-match-hostname,
- python-brial (>= 0.8.5),
+ python-brial (>= 1.0.1),
  python-configparser,
  python-crypto,
  python-cvxopt,
  python-cycler,
- python-cypari2,
+ python-cypari2 (>= 1.1.3),
  python-cysignals-pari (>= 1.6.4),
  python-decorator,
  python-docutils,
@@ -66,7 +67,7 @@
  python-flask-oldsessions,
  python-flask-openid,
  python-flask-silk,
- python-fpylll (>= 0.2.4),
+ python-fpylll (>= 0.3.0),
  python-functools32,
  python-future,
  python-gd,
@@ -75,12 +76,12 @@
  python-ipython-genutils,
  python-itsdangerous,
  python-jsonschema,
- python-matplotlib,
+ python-matplotlib (>= 2.1),
  python-mistune,
  python-moinmoin,
  python-mpmath,
  python-networkx,
- python-numpy (>= 1:1.12.0~rc2),
+ python-numpy (>= 1:1.13),
  python-openid,
  python-path,
  python-pathlib2,
@@ -104,12 +105,14 @@
  python-singledispatch,
  python-snowballstemmer,
  python-sphinx (>= 1.6),
+ python-subprocess32,
  python-sympy,
  python-terminado,
  python-tk,
  python-tornado,
  python-traitlets,
  python-twisted,
+ python-typing,
  python-tz,
  python-vcversioner,
  python-wcwidth,
@@ -140,29 +143,31 @@
  python-notebook (>= 4.2.3-3),
  autoconf,
  ccache <pkg.sagemath.ccache>,
+ cython-dbg <pkg.sagemath.dbg>,
  debhelper (>= 10),
  dh-python (>= 2.20170125),
  dpkg-dev (>= 1.17.14),
  gdb,
  git,
  gnutls-dev,
+ libc6-dbg <pkg.sagemath.dbg>,
  libgap-sage-dev (>= 4.8.6),
  libblas-dev,
  libboost-dev (>= 1.55),
- libbrial-dev (>= 0.8.7),
- libbrial-groebner-dev (>= 0.8.7),
+ libbrial-dev (>= 1.0.1),
+ libbrial-groebner-dev (>= 1.0.1),
  libcdd-dev (>= 094h),
  libcliquer-dev,
  libec-dev (>= 20170122),
  libecm-dev,
- libflint-arb-dev (>= 2.8.1-2),
- libflint-dev (>= 2.5.2-5+b2),
- libfplll-dev (>= 5.1.0-2~sage1),
+ libflint-arb-dev (>= 2.11.1-2),
+ libflint-dev (>= 2.5.2-5),
+ libfplll-dev (>= 5.2.0),
  libfreetype6-dev,
  libgc-dev,
  libgcrypt-dev,
- libgd2-noxpm-dev | libgd2-xpm-dev,
- libgf2x-dev,
+ libgd-dev,
+ libgf2x-dev (>= 1.2-4),
  libgiac-dev (>= 1.2.3.25+dfsg1-3),
  libgivaro-dev (>= 4.0.2-7~),
  libglpk-dev,
@@ -185,7 +190,7 @@
  libplanarity-dev,
  libpng-dev,
  libppl-dev (>= 1:1.1),
- libpynac-dev (>= 0.7.8-2~sage1),
+ libpynac-dev (>= 0.7.12),
  libratpoints-dev,
  libreadline-dev,
  librw-dev,
@@ -195,6 +200,8 @@
  libzn-poly-dev,
  pkg-config,
  python-dev,
+ python-dbg <pkg.sagemath.dbg>,
+ python-cysignals-pari-dbgsym <pkg.sagemath.dbg>,
  python3-dev,
  r-base-dev,
  rdfind,
@@ -218,7 +225,7 @@
  This package contains the main SageMath installation.
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
  cysignals-tools (>= 1.2.0+ds-2) <!nodoc>,
- cython (>= 0.25~),
+ cython (>= 0.26~),
  ecl (>= 16.1.2),
  ecl (<< 16.1.3),
  eclib-tools (>= 20170122),
@@ -231,7 +238,7 @@
  ipython (>= 5.1.0-2),
  iso-codes,
  jmol (>= 14.6.4),
- lcalc (>= 1.23+dfsg-6build1),
+ lcalc (>= 1.23+dfsg-6),
  less,
  libcdd-tools (>= 094h),
  libjs-mathjax,
@@ -252,14 +259,15 @@
  python-alabaster,
  python-babel,
  python-backports-abc,
+ python-backports.functools-lru-cache,
  python-backports-shutil-get-terminal-size,
  python-backports.ssl-match-hostname,
- python-brial (>= 0.8.5),
+ python-brial (>= 1.0.1),
  python-configparser,
  python-crypto,
  python-cvxopt,
  python-cycler,
- python-cypari2,
+ python-cypari2 (>= 1.1.3),
  python-cysignals-pari (>= 1.6.4),
  python-decorator,
  python-docutils,
@@ -270,7 +278,7 @@
  python-flask-oldsessions,
  python-flask-openid,
  python-flask-silk,
- python-fpylll (>= 0.2.4),
+ python-fpylll (>= 0.3.0),
  python-functools32,
  python-future,
  python-gd,
@@ -279,12 +287,12 @@
  python-ipython-genutils,
  python-itsdangerous,
  python-jsonschema,
- python-matplotlib,
+ python-matplotlib (>= 2.1),
  python-mistune,
  python-moinmoin,
  python-mpmath,
  python-networkx,
- python-numpy (>= 1:1.12.0~rc2),
+ python-numpy (>= 1:1.13),
  python-openid,
  python-path,
  python-pathlib2,
@@ -308,12 +316,14 @@
  python-singledispatch,
  python-snowballstemmer,
  python-sphinx (>= 1.6),
+ python-subprocess32,
  python-sympy,
  python-terminado,
  python-tk,
  python-tornado,
  python-traitlets,
  python-twisted,
+ python-typing,
  python-tz,
  python-vcversioner,
  python-wcwidth,
@@ -341,6 +351,7 @@
  sagetex,
  texlive-latex-base
 Suggests:
+ dot2tex,
  gap-design,
  gap-factint,
  gap-grape,
@@ -436,11 +447,3 @@
  SageMath is a free open-source mathematics software system licensed under the
  GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
  matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
- power through a common, Python-based language or directly via interfaces or
- wrappers.
- .
- Mission: Creating a viable free open source alternative to Magma, Maple,
- Mathematica and Matlab.
- .
- This package contains documentation in English.
- .

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/architecture.mk
 
-MAX_TEST_FAILURES = 50
+MAX_TEST_FAILURES = 62
 MAX_TEST_FAILURES_RERUN = $(shell expr 2 \* $(MAX_TEST_FAILURES))
 
 # If we're doing a pre-release, then be less strict about test failures, etc
@@ -29,6 +29,12 @@
 is_prerelease = true
 else
 is_prerelease = false
+endif
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+else
+NUMJOBS = 1
 endif
 
 # Some buildds are a bit slow, see https://buildd.debian.org/status/logs.php?pkg=gcc-7 for a fuller list
@@ -64,12 +70,6 @@
 DOCS_DOC_BASE = $(LANGS:%=debian/sagemath-doc-%.doc-base)
 DOCS_OVERRIDES = $(LANGS:%=debian/sagemath-doc-%.lintian-overrides)
 DOCS_INSTALL_DIRS = $(LANGS:%=debian/sagemath-doc-%)
-
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-else
-NUMJOBS = 1
-endif
 
 ifneq (1,$(TRY_AVOID_REBUILD))
 REBUILD_RULES = debian/rules
